Bug 165494 - unable to load acpi-cpufreq module
unable to load acpi-cpufreq module
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-09 16:37 EDT by Simon Goodall
Modified: 2015-01-04 17:21 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-05 19:36:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (13.66 KB, text/plain)
2005-09-24 05:25 EDT, Simon Goodall
no flags Details
lspci output (1.38 KB, text/plain)
2005-09-24 05:26 EDT, Simon Goodall
no flags Details
output from lspci (1.39 KB, application/octet-stream)
2005-10-09 14:01 EDT, Alan Stokes
no flags Details
output from dmesg (17.34 KB, application/octet-stream)
2005-10-09 14:02 EDT, Alan Stokes
no flags Details
laptop boot text (2.11 KB, text/plain)
2005-11-06 08:26 EST, Andrew Smith
no flags Details
laptop dmesg (13.23 KB, text/plain)
2005-11-06 08:29 EST, Andrew Smith
no flags Details
laptop lspci (1008 bytes, text/plain)
2005-11-06 08:30 EST, Andrew Smith
no flags Details
dmesg on 2.6.14-1.1637_FC4 (19.48 KB, text/plain)
2005-11-11 04:39 EST, Sebastian Lempert
no flags Details
lspci 2.6.14-1.1637_FC4 (1.64 KB, text/plain)
2005-11-11 04:40 EST, Sebastian Lempert
no flags Details

  None (edit)
Description Simon Goodall 2005-08-09 16:37:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
I've been trying to use the ondemand scaling govenor on my inspiron 8500. Modprobing the cpufreq_ondemand module and echoing "ondemand" into the scaling_governor file does not work. I eventually discovered that i needed the acpi-cpufreq module to be loaded, however it seems that the speedstep-ich module which is compiled into the kernel means the acpi-cpufreq module is unable to be loaded.

Can you make the speedstep components as modules in the kernels?

Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1398_FC4

How reproducible:
Always

Steps to Reproduce:
1. Attempt to load acpi-cpufreq
2. Fails to load
3.
  

Actual Results:  FATAL: Error inserting acpi_cpufreq (/lib/modules/2.6.12-1.1398_FC4/kernel/arch/i386/kernel/cpu/cpufreq/acpi-cpufreq.ko): Device or resource busy

Expected Results:  Module should load in with no errors and then the ondemand scaling governor should work.

Additional info:

I have tried compiling a custom kernel with the speedstep stuff compiled as modules and confirmed that with them unloaded, the acpi-cpufreq module will load.
Comment 1 Dave Jones 2005-08-26 18:29:18 EDT
cpufreq doesn't support >1 method at this time.

Making them non-modular simplifies a lot of probing details, so we can't just
make them modular without breaking existing setups.

I'm curious why speedstep isn't working with ondemand however.
Comment 2 Simon Goodall 2005-08-27 06:09:50 EDT
It seems strange to me that you offer the alternatives as modules, but they
can't be loaded because of the one that is built in.
Is there a way to disable the built in one?

I found a web page of a gentoo user on a I8500 with the same problem.
http://wiki.archlinux.org/index.php/Dell_Inspiron_8500
Comment 3 Dumitru Ciobarcianu 2005-09-06 07:40:12 EDT
Related:

On an Toshiba Satellite laying around me I really need to load acpi-cpufreq
because speedstep-ich does not work (I don't have anything in
/sys/devices/system/cpu/cpu0
Comment 4 Simon Goodall 2005-09-23 14:23:24 EDT
So how can the acpi-cpufreq module be loaded if an alternative is compiled into
the kernel?

In terms of breaking existing setups, could you not have an additional boot
parameter to select which module to load, and default to speedstep if it is not
specified?
Comment 5 Dave Jones 2005-09-23 20:25:07 EDT
the fact that its compiled in should be irrelevant. if it can't work on your
hardware, it should return -ENODEV, and try the next driver until there are no
more built-ins to try. Then when we get to userspace, you should be able to load
acpi-cpufreq.

Your problem however seems to arise because speedstep-ich claims to support your
hardware, but in fact, doesn't.

Can you post the full dmesg, and lspci output please ?
Comment 6 Simon Goodall 2005-09-24 05:25:36 EDT
Created attachment 119220 [details]
dmesg output
Comment 7 Simon Goodall 2005-09-24 05:26:47 EDT
Created attachment 119221 [details]
lspci output
Comment 8 Dave Jones 2005-09-30 02:47:34 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 9 Simon Goodall 2005-10-01 16:47:19 EDT
bug is still present in this kernel.
Comment 10 Alan Stokes 2005-10-09 14:01:15 EDT
Created attachment 119747 [details]
output from lspci
Comment 11 Alan Stokes 2005-10-09 14:02:09 EDT
Created attachment 119748 [details]
output from dmesg
Comment 12 Alan Stokes 2005-10-09 14:04:00 EDT
Same problems since update to kernel 2.6.13-1.1526_FC4smp
Comment 13 Andre Robatino 2005-10-25 18:04:55 EDT
  This is not limited to i686.  My father sees the "FATAL: Error inserting
acpi_cpufreq" message at boot time on an Emachines 300k which has an AMD K6-2
CPU, I think (I know it's an i586).
Comment 14 Andrew Smith 2005-11-06 08:24:04 EST
I get the "unable to load acpi-cpufreq module" on 2 of 3 machines I have
upgraded to 2.6.13-1.1532_FC4

Probably useless info but 3 are also fully updated all other RPMs:
No machine has been upgraded since initial install (full install 'everything')
with a few removals after install
I removed all cman* dlm* GFS* gnbd* RPM's before updating
(Also HAD to remove kde-i18n-Polish due to it conflicting with kdelibs)
Have a directory that is an image of all FC4 update RPMS and did a "rpm -Fvh
*.rpm" excluding the openssl 386 rpm

Then installed the updated kernel and rebooted

One is a Laptop: Dell Latitude C600 PIII 850MHz
2nd is a no-name (pre 2000 BIOS boot warning) PIII 933MHz desktop

3rd is a no-name Athlon 2400+ desktop (that doesn't give the error)

Obviously since the 3rd BIOS is OK and doesn't need to adjust the cpu speed it
doesn't get the error

Attachments to follow of boot message, dmesg & lspci for the Laptop
Comment 15 Andrew Smith 2005-11-06 08:26:08 EST
Created attachment 120770 [details]
laptop boot text
Comment 16 Andrew Smith 2005-11-06 08:29:17 EST
Created attachment 120771 [details]
laptop dmesg
Comment 17 Andrew Smith 2005-11-06 08:30:25 EST
Created attachment 120772 [details]
laptop lspci
Comment 18 Dave Jones 2005-11-10 14:54:47 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 19 Sebastian Lempert 2005-11-11 04:39:16 EST
Created attachment 120925 [details]
dmesg on 2.6.14-1.1637_FC4

2.6.14-1.1637_FC4 didn't fix the problem:

/sbin/modprobe acpi_cpufreq
FATAL: Error inserting acpi_cpufreq
(/lib/modules/2.6.14-1.1637_FC4/kernel/arch/i386/kernel/cpu/cpufreq/acpi-cpufreq.ko):
Device or resource busy

--> dmesg
Comment 20 Sebastian Lempert 2005-11-11 04:40:26 EST
Created attachment 120926 [details]
lspci 2.6.14-1.1637_FC4

--> lspci
Comment 21 Andrew Smith 2005-11-11 18:08:27 EST
moved my info to bug #170979 (same message, same module, different cause)
Comment 22 Alan Stokes 2005-11-17 14:34:29 EST
Added DRIVER=p4-clockmod to /etc/cpuspeed.conf
has cured problem on my machine but is it right

VMAJOR=1
VMINOR=1

# uncomment this and set to the name of your CPUFreq module
#DRIVER="powernow-k7"
DRIVER="p4-clockmod"

# Let background (nice) processes speed up the cpu
OPTS="$OPTS -n"

# Add your favorite options here
#OPTS="$OPTS -s 0 -i 10 -r"

# uncomment and modify this to check the state of the AC adapter
#OPTS="$OPTS -a /proc/acpi/ac_adapter/*/state"

# uncomment and modify this to check the system temperature
OPTS="$OPTS -t /proc/acpi/thermal_zone/*/temperature 75"
Comment 23 Simon Goodall 2005-11-20 14:45:59 EST
I can confirm that the new kernel version does not work either.

CPUspeed will work as a userspace program to adjust CPU speed, but the point in
this report is to make the kernelspace code to do it.
Comment 24 Simon Goodall 2006-01-17 11:24:17 EST
Kernel 2.6.16-rc1 has some work by Mattia Dongili which fixes this issue for me. 
Can these fixes be backported to the current fedora kernels?
Comment 25 Dave Jones 2006-02-03 00:49:28 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 26 Simon Goodall 2006-02-03 05:11:07 EST
Hi, This is still a problem in the 2.6.15 kernel. As mentioned above, the fix is
in the 2.6.16 prepatches.
Comment 27 Alexei Podtelezhnikov 2006-02-12 12:57:36 EST
This could be related to bug 170979. 
 
As of tooday, the FATAL error is still present with  
[apodtele@somewhere ~]$ rpm -q kernel cpuspeed 
kernel-2.6.14-1.1656_FC4 
kernel-2.6.15-1.1831_FC4 
cpuspeed-1.2.1-1.24_FC4 
 
Comment 28 Simon Goodall 2006-02-12 13:07:57 EST
Bug 170979 seems to be that the acpi-cpufreq wont load because it can't find an
appropriate device. This bug is that it can't load because the speedstep module
claims it can handle the device (but can't) and so won't let the acpi-cpufreq
have control (it does however find the device)
Comment 29 Simon Goodall 2006-03-20 04:41:10 EST
can we get a kernel upgrade to 2.6.16 as it has been released to fix this problem?
Comment 30 Dave Jones 2006-09-16 22:43:07 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 31 Simon Goodall 2006-09-18 10:24:30 EDT
The speedstep module was fixed in kernel 2.6.16 so this bug is no longer an
issue for me.

Note You need to log in before you can comment on or make changes to this bug.